1 # Makefile.in generated by automake 1.11.1 from Makefile.am.
2 # Makefile. Generated from Makefile.in by configure.
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009 Free Software Foundation,
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
19 pkgdatadir = $(datadir)/gacela
20 pkgincludedir = $(includedir)/gacela
21 pkglibdir = $(libdir)/gacela
22 pkglibexecdir = $(libexecdir)/gacela
23 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
24 install_sh_DATA = $(install_sh) -c -m 644
25 install_sh_PROGRAM = $(install_sh) -c
26 install_sh_SCRIPT = $(install_sh) -c
27 INSTALL_HEADER = $(INSTALL_DATA)
28 transform = $(program_transform_name)
36 DIST_COMMON = README $(am__configure_deps) $(dist_doc_DATA) \
37 $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
38 $(srcdir)/config.h.in $(top_srcdir)/configure COPYING depcomp \
40 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
41 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
42 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
44 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
45 configure.lineno config.status.lineno
46 mkinstalldirs = $(install_sh) -d
47 CONFIG_HEADER = config.h
49 CONFIG_CLEAN_VPATH_FILES =
52 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
53 html-recursive info-recursive install-data-recursive \
54 install-dvi-recursive install-exec-recursive \
55 install-html-recursive install-info-recursive \
56 install-pdf-recursive install-ps-recursive install-recursive \
57 installcheck-recursive installdirs-recursive pdf-recursive \
58 ps-recursive uninstall-recursive
59 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
60 am__vpath_adj = case $$p in \
61 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
64 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
66 am__nobase_strip_setup = \
67 srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
69 for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
70 am__nobase_list = $(am__nobase_strip_setup); \
71 for p in $$list; do echo "$$p $$p"; done | \
72 sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
73 $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
74 if (++n[$$2] == $(am__install_max)) \
75 { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
76 END { for (dir in files) print dir, files[dir] }'
78 sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
79 sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
80 am__installdirs = "$(DESTDIR)$(docdir)"
81 DATA = $(dist_doc_DATA)
82 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
83 distclean-recursive maintainer-clean-recursive
84 AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
85 $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
86 distdir dist dist-all distcheck
89 DIST_SUBDIRS = $(SUBDIRS)
90 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
91 distdir = $(PACKAGE)-$(VERSION)
92 top_distdir = $(distdir)
93 am__remove_distdir = \
94 { test ! -d "$(distdir)" \
95 || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
96 && rm -fr "$(distdir)"; }; }
99 sed_first='s,^\([^/]*\)/.*$$,\1,'; \
100 sed_rest='s,^[^/]*/*,,'; \
101 sed_last='s,^.*/\([^/]*\)$$,\1,'; \
102 sed_butlast='s,/*[^/]*$$,,'; \
103 while test -n "$$dir1"; do \
104 first=`echo "$$dir1" | sed -e "$$sed_first"`; \
105 if test "$$first" != "."; then \
106 if test "$$first" = ".."; then \
107 dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
108 dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
110 first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
111 if test "$$first2" = "$$first"; then \
112 dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
116 dir0="$$dir0"/"$$first"; \
119 dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
122 DIST_ARCHIVES = $(distdir).tar.gz
124 distuninstallcheck_listfiles = find . -type f -print
125 distcleancheck_listfiles = find . -type f -print
126 ACLOCAL = ${SHELL} /home/jsancho/proyectos/guile/missing --run aclocal-1.11
127 AMTAR = ${SHELL} /home/jsancho/proyectos/guile/missing --run tar
128 AUTOCONF = ${SHELL} /home/jsancho/proyectos/guile/missing --run autoconf
129 AUTOHEADER = ${SHELL} /home/jsancho/proyectos/guile/missing --run autoheader
130 AUTOMAKE = ${SHELL} /home/jsancho/proyectos/guile/missing --run automake-1.11
133 CCDEPMODE = depmode=gcc3
134 CFLAGS = -g -O2 -I/usr/include/freetype2
137 DEFS = -DHAVE_CONFIG_H
143 GUILE = /usr/local/bin/guile
144 GUILE_CFLAGS = -I/usr/local/include -pthread
145 GUILE_CONFIG = /usr/local/bin/guile-config
146 GUILE_LDFLAGS = -pthread -L/usr/local/lib -lguile -lltdl -lgmp -lcrypt -lm -lltdl
147 GUILE_TOOLS = /usr/local/bin/guile-tools
148 INSTALL = /usr/bin/install -c
149 INSTALL_DATA = ${INSTALL} -m 644
150 INSTALL_PROGRAM = ${INSTALL}
151 INSTALL_SCRIPT = ${INSTALL}
152 INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
155 LIBS = -lreadline -lSDL -lSDL_image -lSDL_gfx -lSDL_mixer -lGL -lGLU -lftgl
157 MAKEINFO = ${SHELL} /home/jsancho/proyectos/guile/missing --run makeinfo
158 MKDIR_P = /bin/mkdir -p
161 PACKAGE_BUGREPORT = jsf@jsancho.org
162 PACKAGE_NAME = gacela
163 PACKAGE_STRING = gacela 0.5
164 PACKAGE_TARNAME = gacela
166 PACKAGE_VERSION = 0.5
172 abs_builddir = /home/jsancho/proyectos/guile
173 abs_srcdir = /home/jsancho/proyectos/guile
174 abs_top_builddir = /home/jsancho/proyectos/guile
175 abs_top_srcdir = /home/jsancho/proyectos/guile
177 am__include = include
180 am__tar = ${AMTAR} chof - "$$tardir"
181 am__untar = ${AMTAR} xf -
182 bindir = ${exec_prefix}/bin
185 datadir = ${datarootdir}
186 datarootdir = ${prefix}/share
187 docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
189 exec_prefix = ${prefix}
192 includedir = ${prefix}/include
193 infodir = ${datarootdir}/info
194 install_sh = ${SHELL} /home/jsancho/proyectos/guile/install-sh
195 libdir = ${exec_prefix}/lib
196 libexecdir = ${exec_prefix}/libexec
197 localedir = ${datarootdir}/locale
198 localstatedir = ${prefix}/var
199 mandir = ${datarootdir}/man
200 mkdir_p = /bin/mkdir -p
201 oldincludedir = /usr/include
204 program_transform_name = s,x,x,
206 sbindir = ${exec_prefix}/sbin
207 sharedstatedir = ${prefix}/com
209 sysconfdir = ${prefix}/etc
215 dist_doc_DATA = README
217 $(MAKE) $(AM_MAKEFLAGS) all-recursive
222 $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
224 case '$(am__configure_deps)' in \
226 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
227 $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
232 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
233 $(am__cd) $(top_srcdir) && \
234 $(AUTOMAKE) --foreign Makefile
236 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
239 echo ' $(SHELL) ./config.status'; \
240 $(SHELL) ./config.status;; \
242 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
243 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
246 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
247 $(SHELL) ./config.status --recheck
249 $(top_srcdir)/configure: $(am__configure_deps)
250 $(am__cd) $(srcdir) && $(AUTOCONF)
251 $(ACLOCAL_M4): $(am__aclocal_m4_deps)
252 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
253 $(am__aclocal_m4_deps):
256 @if test ! -f $@; then \
258 $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
261 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
263 cd $(top_builddir) && $(SHELL) ./config.status config.h
264 $(srcdir)/config.h.in: $(am__configure_deps)
265 ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
270 -rm -f config.h stamp-h1
271 install-dist_docDATA: $(dist_doc_DATA)
273 test -z "$(docdir)" || $(MKDIR_P) "$(DESTDIR)$(docdir)"
274 @list='$(dist_doc_DATA)'; test -n "$(docdir)" || list=; \
275 for p in $$list; do \
276 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
278 done | $(am__base_list) | \
279 while read files; do \
280 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(docdir)'"; \
281 $(INSTALL_DATA) $$files "$(DESTDIR)$(docdir)" || exit $$?; \
284 uninstall-dist_docDATA:
286 @list='$(dist_doc_DATA)'; test -n "$(docdir)" || list=; \
287 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
288 test -n "$$files" || exit 0; \
289 echo " ( cd '$(DESTDIR)$(docdir)' && rm -f" $$files ")"; \
290 cd "$(DESTDIR)$(docdir)" && rm -f $$files
292 # This directory's subdirectories are mostly independent; you can cd
293 # into them and run `make' without going through this Makefile.
294 # To change the values of `make' variables: instead of editing Makefiles,
295 # (1) if the variable is set in `config.status', edit `config.status'
296 # (which will cause the Makefiles to be regenerated when you run `make');
297 # (2) otherwise, pass the desired values on the `make' command line.
298 $(RECURSIVE_TARGETS):
299 @fail= failcom='exit 1'; \
300 for f in x $$MAKEFLAGS; do \
303 *k*) failcom='fail=yes';; \
307 target=`echo $@ | sed s/-recursive//`; \
308 list='$(SUBDIRS)'; for subdir in $$list; do \
309 echo "Making $$target in $$subdir"; \
310 if test "$$subdir" = "."; then \
312 local_target="$$target-am"; \
314 local_target="$$target"; \
316 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
319 if test "$$dot_seen" = "no"; then \
320 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
323 $(RECURSIVE_CLEAN_TARGETS):
324 @fail= failcom='exit 1'; \
325 for f in x $$MAKEFLAGS; do \
328 *k*) failcom='fail=yes';; \
333 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
334 *) list='$(SUBDIRS)' ;; \
336 rev=''; for subdir in $$list; do \
337 if test "$$subdir" = "."; then :; else \
338 rev="$$subdir $$rev"; \
342 target=`echo $@ | sed s/-recursive//`; \
343 for subdir in $$rev; do \
344 echo "Making $$target in $$subdir"; \
345 if test "$$subdir" = "."; then \
346 local_target="$$target-am"; \
348 local_target="$$target"; \
350 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
352 done && test -z "$$fail"
354 list='$(SUBDIRS)'; for subdir in $$list; do \
355 test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
358 list='$(SUBDIRS)'; for subdir in $$list; do \
359 test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
362 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
363 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
364 unique=`for i in $$list; do \
365 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
367 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
368 END { if (nonempty) { for (i in files) print i; }; }'`; \
372 TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
373 $(TAGS_FILES) $(LISP)
376 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
377 include_option=--etags-include; \
380 include_option=--include; \
383 list='$(SUBDIRS)'; for subdir in $$list; do \
384 if test "$$subdir" = .; then :; else \
385 test ! -f $$subdir/TAGS || \
386 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
389 list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
390 unique=`for i in $$list; do \
391 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
393 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
394 END { if (nonempty) { for (i in files) print i; }; }'`; \
396 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
397 test -n "$$unique" || unique=$$empty_fix; \
398 if test $$# -gt 0; then \
399 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
402 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
407 CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
408 $(TAGS_FILES) $(LISP)
409 list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
410 unique=`for i in $$list; do \
411 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
413 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
414 END { if (nonempty) { for (i in files) print i; }; }'`; \
415 test -z "$(CTAGS_ARGS)$$unique" \
416 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
420 here=`$(am__cd) $(top_builddir) && pwd` \
421 && $(am__cd) $(top_srcdir) \
422 && gtags -i $(GTAGS_ARGS) "$$here"
425 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
427 distdir: $(DISTFILES)
428 $(am__remove_distdir)
429 test -d "$(distdir)" || mkdir "$(distdir)"
430 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
431 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
432 list='$(DISTFILES)'; \
433 dist_files=`for file in $$list; do echo $$file; done | \
434 sed -e "s|^$$srcdirstrip/||;t" \
435 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
436 case $$dist_files in \
437 */*) $(MKDIR_P) `echo "$$dist_files" | \
438 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
441 for file in $$dist_files; do \
442 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
443 if test -d $$d/$$file; then \
444 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
445 if test -d "$(distdir)/$$file"; then \
446 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
448 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
449 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
450 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
452 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
454 test -f "$(distdir)/$$file" \
455 || cp -p $$d/$$file "$(distdir)/$$file" \
459 @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
460 if test "$$subdir" = .; then :; else \
461 test -d "$(distdir)/$$subdir" \
462 || $(MKDIR_P) "$(distdir)/$$subdir" \
466 @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
467 if test "$$subdir" = .; then :; else \
468 dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
470 new_distdir=$$reldir; \
471 dir1=$$subdir; dir2="$(top_distdir)"; \
473 new_top_distdir=$$reldir; \
474 echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
475 echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
476 ($(am__cd) $$subdir && \
477 $(MAKE) $(AM_MAKEFLAGS) \
478 top_distdir="$$new_top_distdir" \
479 distdir="$$new_distdir" \
480 am__remove_distdir=: \
481 am__skip_length_check=: \
482 am__skip_mode_fix=: \
487 -test -n "$(am__skip_mode_fix)" \
488 || find "$(distdir)" -type d ! -perm -755 \
489 -exec chmod u+rwx,go+rx {} \; -o \
490 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
491 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
492 ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
493 || chmod -R a+r "$(distdir)"
495 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
496 $(am__remove_distdir)
499 tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
500 $(am__remove_distdir)
503 tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
504 $(am__remove_distdir)
507 tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
508 $(am__remove_distdir)
511 tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
512 $(am__remove_distdir)
515 shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
516 $(am__remove_distdir)
519 -rm -f $(distdir).zip
520 zip -rq $(distdir).zip $(distdir)
521 $(am__remove_distdir)
523 dist dist-all: distdir
524 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
525 $(am__remove_distdir)
527 # This target untars the dist file and tries a VPATH configuration. Then
528 # it guarantees that the distribution is self-contained by making another
531 case '$(DIST_ARCHIVES)' in \
533 GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
535 bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
537 lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
539 xz -dc $(distdir).tar.xz | $(am__untar) ;;\
541 uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
543 GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
545 unzip $(distdir).zip ;;\
547 chmod -R a-w $(distdir); chmod a+w $(distdir)
548 mkdir $(distdir)/_build
549 mkdir $(distdir)/_inst
551 test -d $(distdir)/_build || exit 0; \
552 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
553 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
555 && $(am__cd) $(distdir)/_build \
556 && ../configure --srcdir=.. --prefix="$$dc_install_base" \
557 $(DISTCHECK_CONFIGURE_FLAGS) \
558 && $(MAKE) $(AM_MAKEFLAGS) \
559 && $(MAKE) $(AM_MAKEFLAGS) dvi \
560 && $(MAKE) $(AM_MAKEFLAGS) check \
561 && $(MAKE) $(AM_MAKEFLAGS) install \
562 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
563 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
564 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
566 && chmod -R a-w "$$dc_install_base" \
568 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
569 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
570 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
571 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
572 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
573 } || { rm -rf "$$dc_destdir"; exit 1; }) \
574 && rm -rf "$$dc_destdir" \
575 && $(MAKE) $(AM_MAKEFLAGS) dist \
576 && rm -rf $(DIST_ARCHIVES) \
577 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
580 $(am__remove_distdir)
581 @(echo "$(distdir) archives ready for distribution: "; \
582 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
583 sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
585 @$(am__cd) '$(distuninstallcheck_dir)' \
586 && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
587 || { echo "ERROR: files left after uninstall:" ; \
588 if test -n "$(DESTDIR)"; then \
589 echo " (check DESTDIR support)"; \
591 $(distuninstallcheck_listfiles) ; \
593 distcleancheck: distclean
594 @if test '$(srcdir)' = . ; then \
595 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
598 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
599 || { echo "ERROR: files left in build directory after distclean:" ; \
600 $(distcleancheck_listfiles) ; \
603 check: check-recursive
604 all-am: Makefile $(DATA) config.h
605 installdirs: installdirs-recursive
607 for dir in "$(DESTDIR)$(docdir)"; do \
608 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
610 install: install-recursive
611 install-exec: install-exec-recursive
612 install-data: install-data-recursive
613 uninstall: uninstall-recursive
616 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
618 installcheck: installcheck-recursive
620 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
621 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
622 `test -z '$(STRIP)' || \
623 echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
629 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
630 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
632 maintainer-clean-generic:
633 @echo "This command is intended for maintainers to use"
634 @echo "it deletes files that may require special tools to rebuild."
635 clean: clean-recursive
637 clean-am: clean-generic mostlyclean-am
639 distclean: distclean-recursive
640 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
642 distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
656 install-data-am: install-dist_docDATA
658 install-dvi: install-dvi-recursive
664 install-html: install-html-recursive
668 install-info: install-info-recursive
674 install-pdf: install-pdf-recursive
678 install-ps: install-ps-recursive
684 maintainer-clean: maintainer-clean-recursive
685 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
686 -rm -rf $(top_srcdir)/autom4te.cache
688 maintainer-clean-am: distclean-am maintainer-clean-generic
690 mostlyclean: mostlyclean-recursive
692 mostlyclean-am: mostlyclean-generic
702 uninstall-am: uninstall-dist_docDATA
704 .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) all \
705 ctags-recursive install-am install-strip tags-recursive
707 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
708 all all-am am--refresh check check-am clean clean-generic \
709 ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
710 dist-lzma dist-shar dist-tarZ dist-xz dist-zip distcheck \
711 distclean distclean-generic distclean-hdr distclean-tags \
712 distcleancheck distdir distuninstallcheck dvi dvi-am html \
713 html-am info info-am install install-am install-data \
714 install-data-am install-dist_docDATA install-dvi \
715 install-dvi-am install-exec install-exec-am install-html \
716 install-html-am install-info install-info-am install-man \
717 install-pdf install-pdf-am install-ps install-ps-am \
718 install-strip installcheck installcheck-am installdirs \
719 installdirs-am maintainer-clean maintainer-clean-generic \
720 mostlyclean mostlyclean-generic pdf pdf-am ps ps-am tags \
721 tags-recursive uninstall uninstall-am uninstall-dist_docDATA
724 # Tell versions [3.59,3.63) of GNU make to not export all variables.
725 # Otherwise a system limit (for SysV at least) may be exceeded.